gdcm::SegmentWriter Class Reference

This class defines a segment writer. More...

`#include <gdcmSegmentWriter.h>`

Inheritance diagram for gdcm::SegmentWriter:
[legend]
Collaboration diagram for gdcm::SegmentWriter:
[legend]

## Public Types

typedef std::vector< SmartPointer< Segment > > | SegmentVector

## Public Member Functions

| SegmentWriter ()
| ~SegmentWriter () override
void | AddSegment (SmartPointer< Segment > segment)
unsigned int | GetNumberOfSegments () const
SmartPointer< Segment > | GetSegment (const unsigned int idx=0) const
SegmentVector & | GetSegments ()
const SegmentVector & | GetSegments () const
void | SetNumberOfSegments (const unsigned int size)
void | SetSegments (SegmentVector &segments)
bool | Write () override
| Write.
Public Member Functions inherited from gdcm::Writer
| Writer ()
virtual | ~Writer ()
void | CheckFileMetaInformationOff ()
void | CheckFileMetaInformationOn ()
File & | GetFile ()
void | SetCheckFileMetaInformation (bool b)
| Undocumented function, do not use (= leave default).
void | SetFile (const File &f)
| Set/Get the DICOM file (DataSet + Header).
void | SetFileName (const char *filename_native)
| Set the filename of DICOM file to write:
void | SetStream (std::ostream &output_stream)
| Set user ostream buffer.

## Protected Member Functions

bool | PrepareWrite ()
Protected Member Functions inherited from gdcm::Writer
bool | GetCheckFileMetaInformation () const
std::ostream * | GetStreamPtr () const
void | SetWriteDataSetOnly (bool b)

## Protected Attributes

SegmentVector | Segments
Protected Attributes inherited from gdcm::Writer
std::ofstream * | Ofstream
std::ostream * | Stream

## Detailed Description

This class defines a segment writer.

It writes attributes of group 0x0062.

See also
  PS 3.3 C.8.20.2 and C.8.23

## Member Typedef Documentation

## SegmentVector

typedef std::vector< SmartPointer< Segment > > gdcm::SegmentWriter::SegmentVector

## Constructor & Destructor Documentation

## SegmentWriter()

gdcm::SegmentWriter::SegmentWriter | ( |  | ) |

## ~SegmentWriter()

gdcm::SegmentWriter::~SegmentWriter | ( |  | ) |

override

## Member Function Documentation

## AddSegment()

void gdcm::SegmentWriter::AddSegment | ( | SmartPointer< Segment > | segment | ) |

## GetNumberOfSegments()

unsigned int gdcm::SegmentWriter::GetNumberOfSegments | ( |  | ) | const

## GetSegment()

SmartPointer< Segment > gdcm::SegmentWriter::GetSegment | ( | const unsigned int | idx = 0 | ) | const

## GetSegments() [1/2]

SegmentVector & gdcm::SegmentWriter::GetSegments | ( |  | ) |

## GetSegments() [2/2]

const SegmentVector & gdcm::SegmentWriter::GetSegments | ( |  | ) | const

## PrepareWrite()

bool gdcm::SegmentWriter::PrepareWrite | ( |  | ) |

protected

## SetNumberOfSegments()

void gdcm::SegmentWriter::SetNumberOfSegments | ( | const unsigned int | size | ) |

## SetSegments()

void gdcm::SegmentWriter::SetSegments | ( | SegmentVector & | segments | ) |

## Write()

bool gdcm::SegmentWriter::Write | ( |  | ) |

override virtual

Write.

Reimplemented from gdcm::Writer.

Reimplemented in gdcm::SurfaceWriter.

## Member Data Documentation

## Segments

SegmentVector gdcm::SegmentWriter::Segments

protected

The documentation for this class was generated from the following file:

- gdcmSegmentWriter.h